# Delete an order data extension

Deletes the data extension for an order, including all the key-value pairs in the data extension.

To delete certain key-value pairs only, use the Delete key-value pairs from a data extension endpoint instead.

Endpoint: DELETE /v2.1/orders/{orderRef}/extensions/{dataExtensionName}
Version: v2.1
Security: BasicAuth

## Security:

  - `BasicAuth` (unknown)
    http basic

## Path parameters:

  - `orderRef` (string, required)

  - `dataExtensionName` (string, required)

## Response 200:

  - `200` (unknown)
    Successful operation

## Response 404:

  - `404` (unknown)
    Order data extension not found

## Response 404 fields (application/json):

  - `status` (integer)
    The HTTP request status.
    Example: 404

  - `code` (integer)
    The HTTP response status code.
    Example: 404

  - `message` (string)
    Error description.
    Example: The specified resource does not exist.

  - `developerMessage` (string)
    Error description for developers.
    Example: Data extension ext2 for Guest ref ea9b4612-3488-47d9-beea-17404876f5d6 and client key ... was not found for v2.1

  - `moreInfoUrl` (string)
    URL to get more information about the error.
    Example: https://support.sitecore.com

